0

I recently started to learn Appium with Javascript.

When executing my script, I am getting an error stating "Include a platformName". I don't understand why, even though I have included it (platformName), it's still showing the error.

  Simple cases
1) "before all" hook

0 passing (250ms)
1 failing

1) Simple cases
   "before all" hook:
 Error: An unknown server-side error occurred while processing the command. Original error: You must include a platformName capability
  at new RuntimeError (node_modules\webdriverio\build\lib\utils\ErrorHandler.js:143:12)
  at Request._callback (node_modules\webdriverio\build\lib\utils\RequestHandler.js:318:39)
  at Request.self.callback (node_modules\request\request.js:185:22)
  at Request.<anonymous> (node_modules\request\request.js:1161:10)
  at IncomingMessage.<anonymous> (node_modules\request\request.js:1083:12)
  at endReadableNT (_stream_readable.js:1064:12)
  at _combinedTickCallback (internal/process/next_tick.js:138:11)
  at process._tickDomainCallback (internal/process/next_tick.js:218:9)
0

it seems to be an issue with the appium & selenium versions compatibility.

This error happens because you are using the selenium-java : v3.3.1 without the correct Appium java client

only from the latest appium java client 5.0.0-BETA7 it is possible to use selenium-java : v3.3.1.

or you can revert selenium-java back to 2.53.1

refer this

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.